打印

lnmp1.4安装多版本PHP出错

lnmp1.4安装多版本PHP出错

lnmp1.4 已经安装了php5.4 正常运行 现在需要再安装一个PHP 7.1版本.通过官网脚本安装出错.附上安装日志.希望军哥或其他大神能尽快解答一下.谢谢
附件: 您所在的用户组无法下载或查看附件

TOP

安装日志安装了几个依赖包后.提示是安装成功了,但是貌似没启动..vhost add的时候也没有PHP版本的选择.是啥情况?
Warning! a PEAR user config file already exists from a previous PEAR installation at '/root/.pearrc'. You may probably want to remove it.
Wrote PEAR system config file at: /usr/local/php7.1/etc/pear.conf
You may want to add: /usr/local/php7.1/lib/php to your php.ini include_path
/root/lnmp1.4/src/php-7.1.7/build/shtool install -c ext/phar/phar.phar /usr/local/php7.1/bin
ln -s -f phar.phar /usr/local/php7.1/bin/phar
Installing PDO headers:           /usr/local/php7.1/include/php/ext/pdo/
Copy new php configure file...
Modify php.ini......
Install ZendGuardLoader for PHP 7.1...
unavailable now.
Write ZendGuardLoader to php.ini...
Creating new php-fpm configure file...
Copy php-fpm init.d file...
Add php-fpm7.1 service at system startup...
+-------------------------------------------+
|    Manager for LNMP, Written by Licess    |
+-------------------------------------------+
|              http://lnmp.org              |
+-------------------------------------------+
Starting LNMP...
Starting nginx...  done
Starting MySQL.[  OK  ]
Starting php-fpm  done
===========================================
You have successfully install php-7.1.7 
===========================================

TOP

回复 2# 的帖子

/etc/init.d/php-fpm7.1 restart 重启试一下

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP